#
# spec file for package lukemftp (Version 1.5)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         lukemftp
License:      BSD
Group:        Productivity/Networking/Ftp/Clients
Conflicts:    ftp
Provides:     nkitb:/usr/bin/ftp
Autoreqprov:  on
Version:      1.5
Release:      317
Summary:      enhanced ftp client
URL:          ftp://ftp.netbsd.org/pub/NetBSD/misc/lukemftp/
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Patch1:       hostname.dif
#Patch2:       default_binary.dif
Patch3:       %{name}-%{version}-secfix.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
lukemftp is the enhanced ftp client in NetBSD.

Authors:
--------
    Luke Mewburn <lukem@netbsd.org>

SuSE series: n

%define prefix   /usr
%prep
%setup
%patch
%patch1
#%patch2
%patch3

%build
%{?suse_update_config:%{suse_update_config}}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} --prefix=%{prefix} --infodir=%{_infodir} \
	    --sysconfdir=%{_sysconfdir} --target=%{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT/ install
ln -sf ftp $RPM_BUILD_ROOT/usr/bin/pftp
echo ".so man1/ftp.1" > $RPM_BUILD_ROOT%{_mandir}/man1/pftp.1

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%doc COPYING ChangeLog INSTALL NEWS README THANKS
%{_bindir}/ftp
%{_bindir}/pftp
%doc %{_mandir}/man1/*

%changelog -n lukemftp
* Fri Sep 20 2002 - postadal@suse.cz
- default type of transfering files was reverted to network ASCII [#17006]
  (removed old patch)
* Wed May 08 2002 - postadal@suse.cz
- security fix (buffer overflow on PASV from malicious server)
* Wed Sep 26 2001 - kukuk@suse.de
- Compile with large file support
* Mon Aug 13 2001 - cihlar@suse.cz
- explicitly set default type to binary [#9712]
* Thu Aug 02 2001 - cihlar@suse.cz
- fixed hostname in "Connected to ..." [#9503]
* Sun Apr 01 2001 - schwab@suse.de
- Get the initial transfer type right for the listings.
- Define _GNU_SOURCE for strptime.
- Fix autoconf test for size of off_t.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Dec 01 2000 - smid@suse.cz
- new version 1.5
* Fri Sep 29 2000 - kukuk@suse.de
- new package, split from nkitb
